/*
 * GetTransactionResponseObject.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.api.response;

import org.curewallet.lib.api.result.ValidateAddressResult;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class ValidateAddressResponseObject extends ResponseObject {

	private ValidateAddressResult result = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public ValidateAddressResponseObject() {
	}

	/**
	 * @return result
	 * @since 1.0
	 */
	public ValidateAddressResult getResult() {
		return result;
	}

	/**
	 * @param result セットする result
	 * @since 1.0
	 */
	public void setResult(ValidateAddressResult result) {
		this.result = result;
	}

	public ValidateAddressResult getResultObject() {
		ValidateAddressResult result = getResult();
		result.setJsonString(getJsonString());
		return result;
	}
}
